<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        // for (let i = 100; i >= 0; i -= 5) {
        //     console.log(i);

        // }
        // let sum = 0;
        // for(let i = 1; i <= 5; i++){
        //     sum +=i;

        // }
        // console.log(sum);

        //     let count = 0;
        //     let i;
        //    do {
        //         i = Math.random()
        //         count++;
        //     } while(i < 0.9)

        //         console.log('Случайное число: ' + i);
        //         console.log('Попыток: ' + count);


        //     for (let i = 0; i <= 100; i++ ) {
        //   if(i % 2 !==0 && i % 3 !==0){
        //       continue;
        //   }
        //   console.log(i);
        // }
        // const userName = prompt('Введите свое имя');
        // const userAge = prompt('Введите свой возраст');
        // const validateUser = function () {
        //     if (userAge >= 18) {
        //         alert(`Welcome, ${userName}`)
        //     } else {
        //         alert(`Sorry, ${userName}, but you are too young`)
        //     }
        // }
        // validateUser(`${userName}, ${userAge}`);
        // console.log(`${userName}, ${userAge}`);
        // var dividend = 18;
        // var numbers = [2, 3, 4, 5, 6, 7, 8, 9];
        // var idx;
        // debugger
        // for (idx = 0; idx < numbers.length; idx++) {
        //     var factor;
        //     var divisor = numbers[idx];


        //     if (dividend % divisor === 0) {
        //         factor = true;
        //     }

        //     if (factor) {
        //         console.log(divisor + ' is a factor of ' + dividend + '!');
        //     }
        // }
        // const student = {
        //     name: "Григорий",
        //     "last name": "Сковорода",
        //     laziness: 4,
        //     trick: 5
        // }

        // console.log(student)

        // student.laziness = 4
        // student.trick = 6

        // if (student.laziness >= 5 && student.trick < 4) {
        //     console.log(`студент ${student.name} ${student["last name"]} передан в военкомат`)
        //}
        // console.log(`${student} отправлен на пересдачу`)
        // let user = {
        //     name: "Влад",
        //     "second name": "Дракула",
        //     age: 400,
        //     marriage: false
        // };
        // console.log(user.name); // Выведет "Влад"
        // console.log(user["second name"]); // Выведет "Дракула"
        // console.log(user.age); // Выведет "400"
        // console.log(user["marriage"]); // Выведет "false"
        // let product = {
        //     name: "Vlad",
        //     "full name": "Kyzkin",
        //     price: 4,
        //     availability: false,
        //     "additional gift": null

        // }
        // console.log(product)

        // const danItStudent = {
        //     name: "Serg",
        //     "last name": "Romas",
        //     "home work": 5
        // }
        // console.log(danItStudent);
        // const property = prompt("Какое свойство вы хотите изменить?")
        // const newValue = prompt("На какое значение?")

        // danItStudent[property] = newValue

        // console.log(danItStudent);
        const danItStudent = {
            name: "Мирослав",
            "last name": "Полищук",
            homeworks: 30
        };

        console.log(danItStudent);

        for (let i = 0; i < 3; i++) {
            let property = prompt("Какое свойство вы хотите изменить?");
            let newValue = prompt("На какое значение?");

            if (!property || !newValue) {
                break;
            }

            if (property === "homeworks") {
                newValue = +newValue;
            }

            danItStudent[property] = newValue;
        }

        console.log(danItStudent);

    </script>
</body>

</html>